---
title: Presenter Output
---

### Presenter Output

This section will show you how to use the decorated value provided by the `\Anomaly\EmailFieldType\EmailFieldTypePresenter` class.


#### EmailFieldTypePresenter::mailto()

The `mailto` method returns an HTML mailto link.

###### Returns: `string`

###### Arguments

<table class="table table-bordered table-striped">

<thead>

<tr>

<th>Key</th>

<th>Required</th>

<th>Type</th>

<th>Default</th>

<th>Description</th>

</tr>

</thead>

<tbody>

<tr>

<td>

$text

</td>

<td>

false

</td>

<td>

string

</td>

<td>

The email address.

</td>

<td>

The text of the link.

</td>

</tr>

<tr>

<td>

$attributes

</td>

<td>

false

</td>

<td>

array

</td>

<td>

null

</td>

<td>

The HTML attributes of the link.

</td>

</tr>

</tbody>

</table>

###### Example

    $decorated->example->mailto('Email me!', ['class' => 'btn btn-success']);

###### Twig

    {{ decorated.example.mailto('Email me!', {'class': 'btn btn-success'})|raw }}


#### EmailFieldTypePresenter::obfuscated()

The `obfuscated` method returns the obfuscated email.

###### Returns: `string`

###### Example

    $decorated->example->obfuscated();

###### Twig

    {{ decorated.example.obfuscated()|raw }}
